Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### mouseX

Examples

    void draw()
    {
      background(204);
      line(mouseX, 20, mouseX, 80);
    }

Description | The system variable mouseX always contains the current horizontal coordinate of the mouse.

Syntax

    mouseX

Parameters

Usage | Web & Application
Related | mouseY mousePressed mousePressed() mouseReleased() mouseMoved() mouseDragged()

Updated on February 09, 2008 04:38:52pm PST